Image 01
profile-image

mambasoft

Silvan Calarco , Italy
Apper

System Software 224 comments

Score 84%
84 Likes
16 Dislikes
Jan 08 2013
With Apper 0.7.2 I can't install package files, from the browser or e.g. from command line:

apper ./google-earth-stable_current_i386.rpm

This doesn't work, but this works:

pkcon install-local ./google-earth-stable_current_i386.rpm

By investigating on the backend (smart) it seems to me that it is not its fault, because it is not getting the package(s) file name as install-files option. pkcon works, so I tried to investigate on Apper but I realized that the problem might as well be in libpackagekit-qt2. Thanks for any help.
- Aug 21 2012
Should kpackagekit automatically refresh the package cache every Hour/Day/Week/Month according to the setting? Because here it never does.
Currently I have it set to check for updates every hour but if I go to the history page it says the last cache update was more than two hours ago. I've been testing this for over a week waiting for whole days without success.
If I run 'pkcon refresh' everything works fine, the kpackagekit icons suddenly appear in the tray bar.
Thanks for your help! - May 04 2011
With version 0.6.1, which I'd like to adopt asaiw (as soon as it works :) ), I don't get the upgrade stuck with this message anymore, but it simply won't do the updates silently.
What's interesting is that if I go to "Add and Remove Software" and choose to install the upgradable packages, it works perfectly. This makes me think that it is an interface or configuration problem, but I don't know how to diagnose this as no error or informative message is displayed.
Do you have any hint for me? Thanks!
- Sep 29 2010
I haven't tried gnome packagekit yet and I'll do this asap.
About package search in kpk, yes it works and also updates are correctly detected and shown. - Apr 11 2010
The distro is openmamba (milestone2 devel), PackageKit is version 0.6.3, KPackageKit version 0.6.0. PackageKit backend is smart (1.3) which uses apt4rpm style repositories. - Apr 11 2010
Hi, I'm working on adopting kpackagekit in the openmamba distribution but when attempting a package upgrade I can go no further than the message "Waiting for service to start" in the "Updating packages" window.
packagekitd is running and installation with pkcon works just fine, as it spawns the password dialog provided by polkit-kde. Looking at the sources I find it difficult to understand which service the program is waiting for...can I get some help on this? Thanks! - Apr 06 2010
Apper

System Software

Score 84%
84 Likes
16 Dislikes
Sep 29 2010